#ifndef CALENDAR_TAB_H
#define CALENDAR_TAB_H

#include <hwTableLayout.h>

class hwWindow;
class hwTable;
class hwLabel;

class CalendarTab : public hwTableLayout
{
public:

    CalendarTab(hwWindow* window);

    void gotoNextMonth();
    void gotoPrevMonth();

private:

    void loadCalendarTable();

    hwLabel* myMonthLabel;
    hwWindow* myWindow;
    hwTable* myCalendarTable;
    int myMonth;
};

#endif

