#include <TaskTab.h>
#include <hwTableLayout.h>
#include <hwScrollWindow.h>
#include <hwTable.h>
#include <hwButtonbar.h>
#include <hwLabel.h>
#include <hwText.h>
#include <hwTree.h>
#include <ComposeDialog.h>
#include <hwWindow.h>
#include <hwCheckbox.h>

class taskButtonbar : public hwButtonbar
{
    /*
    public:
    mailButtonbar(ComposeDialog* d) : myComposeDialog(d) {}
    void onClick() {
        if (getStringValue() == "New") {
            myComposeDialog->show();
        }
    }
    ComposeDialog* myComposeDialog;
    */
};

TaskTab::TaskTab(hwWindow* window)
        : myWindow(window)
{
    taskButtonbar* buttonbar1 = new taskButtonbar();
    buttonbar1->add("New");
    buttonbar1->add("Edit");
    buttonbar1->add("Delete");
    add(buttonbar1, 0, 0);
    hwScrollWindow* scrollwindow1 = new hwScrollWindow();
    scrollwindow1->setName("taskScrollWindow");
    add(scrollwindow1, 1, 0);
    myTaskTable = new hwTable();
    myTaskTable->setColumnLabel(0, new hwLabel(""));
    myTaskTable->setColumnLabel(1, new hwLabel("Subject"));
    myTaskTable->setColumnLabel(2, new hwLabel("Status"));
    myTaskTable->setColumnLabel(3, new hwLabel("% Complete"));
    myTaskTable->setColumnLabel(4, new hwLabel("Due Date"));
    scrollwindow1->add(myTaskTable);
    loadTaskTable();
}

void TaskTab::loadTaskTable()
{
    myTaskTable->setCellValue(0, 0, new hwCheckbox(""));
    myTaskTable->setCellValue(0, 1, new hwLabel("Paint the bathroom"));
    myTaskTable->setCellValue(0, 2, new hwLabel("Open"));
    myTaskTable->setCellValue(0, 3, new hwLabel("25%"));
    myTaskTable->setCellValue(0, 4, new hwLabel("Apr 2 2009"));
    myTaskTable->setCellValue(1, 0, new hwCheckbox(""));
    myTaskTable->setCellValue(1, 1, new hwLabel("Change oil"));
    myTaskTable->setCellValue(1, 2, new hwLabel("Closed"));
    myTaskTable->setCellValue(1, 3, new hwLabel("100%"));
    myTaskTable->setCellValue(1, 4, new hwLabel("Jan 4 2009"));
}

