/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwEntry.h>

hwEntry::hwEntry()
        : hwWidget("hwEntry")
{
}

hwEntry::~hwEntry()
{
}

string hwEntry::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html += "<input class=\"hwEntry\" id=\"" +
            myName + "\" name=\"" + myName + "\" ";
    html += "value=\"" + myValue + "\">";
    return html;
}

