/*
 * Copyright (c) 2009 Adam Siegel.  All rights reserved.
 *
 * This file is part of libhw.
 *
 * libhw is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with libhw.  If not, see <http: *www.gnu.org/licenses/>.
 *
 */

#include <hwList.h>

hwList::hwList()
        : hwWidget("hwList")
{
}

hwList::~hwList()
{
}

string hwList::draw()
{
    if (!myVisibleFlag)
    {
        return "";
    }
    string html;
    html += "<select class=\"hwList\" size=\"9\" id=\"" + myName + "\" name=\"" + myName + "\">";
    for (unsigned int i = 0; i < myItems.size(); i++)
    {
        html += "<option value=\"" + myItems[i] + "\">";
        html += myItems[i];
        html += "</option>";
    }
    html += "</select>";
    return html;
}

