#include <AboutDialog.h>
#include <hwTableLayout.h>
#include <hwButtonbar.h>
#include <hwEntry.h>
#include <hwText.h>
#include <hwLabel.h>

class AboutButtonbar : public hwButtonbar
{
public:
    AboutButtonbar(AboutDialog* d) : myAboutDialog(d)
    {
    }
    void onClick()
    {
        myAboutDialog->hide();
    }
    AboutDialog* myAboutDialog;
};

AboutDialog::AboutDialog(hwWindow* parent)
        : hwDialog(parent)
{
    setTitle("About");
    hwTableLayout* tablelayout1 = new hwTableLayout();
    add(tablelayout1);
    AboutButtonbar* buttonbar1 = new AboutButtonbar(this);
    buttonbar1->add("Close");
    tablelayout1->add(new hwLabel("libhw Demo"), 0, 0);
    tablelayout1->add(buttonbar1, 1, 0);
}

