#include <App.h>
#include <hwServer.h>
#include <hwTheme.h>
#include <MainWindow.h>

App* App::createInstance()
{
    return new App();
}

void App::init()
{
    myMainWindow = new MainWindow();
    setActiveWindow(myMainWindow);
    setTheme(new hwTheme("demo.css"));
}

int main(int argc, char** argv)
{
    hwServer::getInstance()->setAppFactory(new App());
    hwServer::getInstance()->run(8888);
}

