#include <ComposeDialog.h>
#include <hwTableLayout.h>
#include <hwButtonbar.h>
#include <hwEntry.h>
#include <hwText.h>
#include <hwLabel.h>

class composeButtonbar : public hwButtonbar
{
public:
    composeButtonbar(ComposeDialog* d) : myComposeDialog(d)
    {
    }
    void onClick()
    {
        myComposeDialog->hide();
    }
    ComposeDialog* myComposeDialog;
};

ComposeDialog::ComposeDialog(hwWindow* parent)
        : hwDialog(parent)
{
    setTitle("Compose");
    hwTableLayout* tablelayout1 = new hwTableLayout();
    add(tablelayout1);
    composeButtonbar* buttonbar1 = new composeButtonbar(this);
    buttonbar1->add("Send");
    buttonbar1->add("Cancel");
    tablelayout1->add(buttonbar1, 0, 0);
    hwTableLayout* tablelayout2 = new hwTableLayout();
    tablelayout1->add(tablelayout2, 1, 0);
    tablelayout2->add(new hwLabel("To:"), 0, 0);
    tablelayout2->add(new hwEntry(), 0, 1);
    tablelayout2->add(new hwLabel("Subject:"), 1, 0);
    tablelayout2->add(new hwEntry(), 1, 1);
    tablelayout2->add(new hwText(), 2, 0);
}

