#include <ContactTab.h>
#include <hwTableLayout.h>
#include <hwScrollWindow.h>
#include <hwTable.h>
#include <hwButtonbar.h>
#include <hwLabel.h>
#include <hwText.h>
#include <hwTree.h>
#include <ComposeDialog.h>
#include <hwWindow.h>
#include <hwCheckbox.h>

class contactButtonbar : public hwButtonbar
{
    /*
    public:
    mailButtonbar(ComposeDialog* d) : myComposeDialog(d) {}
    void onClick() {
        if (getStringValue() == "New") {
            myComposeDialog->show();
        }
    }
    ComposeDialog* myComposeDialog;
    */
};

ContactTab::ContactTab(hwWindow* window)
        : myWindow(window)
{
    contactButtonbar* buttonbar1 = new contactButtonbar();
    buttonbar1->add("New");
    buttonbar1->add("Edit");
    buttonbar1->add("Delete");
    add(buttonbar1, 0, 0);
    hwScrollWindow* scrollwindow1 = new hwScrollWindow();
    scrollwindow1->setName("contactScrollWindow");
    add(scrollwindow1, 1, 0);
    myContactTable = new hwTable();
    myContactTable->setColumnLabel(0, new hwLabel(""));
    myContactTable->setColumnLabel(1, new hwLabel("Name"));
    myContactTable->setColumnLabel(2, new hwLabel("Email"));
    myContactTable->setColumnLabel(3, new hwLabel("Home"));
    myContactTable->setColumnLabel(4, new hwLabel("Work"));
    scrollwindow1->add(myContactTable);
    loadContactTable();
}

void ContactTab::loadContactTable()
{
    myContactTable->setCellValue(0, 0, new hwCheckbox(""));
    myContactTable->setCellValue(0, 1, new hwLabel("Jones, Bob"));
    myContactTable->setCellValue(0, 2, new hwLabel("bob@gmail.com"));
    myContactTable->setCellValue(0, 3, new hwLabel("808-555-1212"));
    myContactTable->setCellValue(0, 4, new hwLabel("808-555-3344"));
    myContactTable->setCellValue(1, 0, new hwCheckbox(""));
    myContactTable->setCellValue(1, 1, new hwLabel("Smith, Joe"));
    myContactTable->setCellValue(1, 2, new hwLabel("joe@gmail.com"));
    myContactTable->setCellValue(1, 3, new hwLabel("444-333-2222"));
    myContactTable->setCellValue(1, 4, new hwLabel("222-555-6666"));
}

